Retrieve a list
Returns a filtered list of paid presences.
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/paid-presences
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-calculated-totals.read
Response properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Unique identifier for the paid presence record (read-only). |
person.id |
integer | — | Read-only | Internal ID of the person for whom this paid presence applies. |
date |
string | — | Read-only | Date for which the paid presence is recorded (YYYY-MM-DD). |
durationInMinutes |
integer | — | Read-only | Duration of the paid presence in minutes. |
shiftDefinition.id |
integer | — | Read-only | Internal ID of the linked shift definition (optional). |
Filters
| Filter | Type | Description |
|---|---|---|
person |
Optional | Filter by specific person IDs |
date |
Required | Date range (required with max of 1 year range) |
Check the Fetching Resources page on how to use the filter.
External references
The endpoint supports predefined and custom external references. See the external references page for details and the predefined options list.
The following collections are supported for this endpoint:
| Collection | Predefined | Custom |
|---|---|---|
people |
@badge-number, @employee-number |
Supported |
shift-definitions |
@shift-code |
Supported |
Error responses
| Status | Condition |
|---|---|
400 |
Invalid filter syntax or unknown filter field |
401 |
Missing or invalid access token, or insufficient scope |
414 |
Request URI too long (filter + continuation token) |
Examples
Filter on date range
Example with a date range:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/paid-presences?filter=date ge '2025-01-01' and date le '2025-01-31'
Filter on people and a date range
Example with people and a date range:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/paid-presences?filter=person in (3214,3215) and date ge '2025-01-01' and date le '2025-01-31'
Filter with external reference
Example with a date range and the employee number as an external reference:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/paid-presences?filter=date ge '2025-01-01' and date le '2025-01-31'&externalReferences=(people,@employee-number)